import 'dart:convert';
import 'dart:io';
import 'dart:async';

class API {
  // uranus APIs
  static const String DOMIN = "loliloli.pro";
  // static const String DOMIN = "192.168.0.104";
  // static const String DOMIN = "localhost";
  // static const String DOMIN = "192.168.100.153";
  // static const String DOMIN = "192.168.125.28";
  static const String BASE_URL = "http://$DOMIN:9000";

  static const String WS_URL = "ws://$DOMIN:9000/v1/ws";
  static const String WS2_URL = "ws://$DOMIN:9000/v1/ws2";

  static const String LOGIN_URL = "$BASE_URL/api/v2/users_login";
  static const String USERS_URL = "$BASE_URL/api/v2/users";
  static const String USERS_EDIT = "$BASE_URL/api/v2/users_edit";

  static const String FIND_USER_URL = "$BASE_URL/api/v2/find_user";
  static const String FIND_USER_BY_ADDR = "$BASE_URL/api/v2/find_user_by_addr";
  static const String USER_REGISTER_TMP = '$BASE_URL/api/v2/users_register_tmp';

  // pgyer's API updates url
  // POST: _api_key: 81b426570d1330dba8bf6512ea830cbc	String, appKey: 17148e6acd9775d77da183dc549bc9ed, buildVersion, buildBuildVersion
  // curl -d "_api_key=81b426570d1330dba8bf6512ea830cbc&appKey=17148e6acd9775d77da183dc549bc9ed&buildBuildVersion=1" https://www.pgyer.com/apiv2/app/check
  static const String APP_UPDATE_CHECK =
      "https://www.pgyer.com/apiv2/app/check";

  // Tasks sync API
  static const String UPDATE_TASKS_URL =
      "$BASE_URL/api/v2/daybreak_update_tasks";
  static const String UPDATE_PROJECT_URL =
      "$BASE_URL/api/v2/daybreak_update_project";
  static const String LOAD_TASKS_UPDATE_URL =
      "$BASE_URL/api/v2/daybreak_load_tasks_update";
  // update single tasks
  static const String GET_TASKS_UPDATE_URL =
      "$BASE_URL/api/v2/daybreak_update_tasks";
  static const String DELETE_TASKS_URL =
      "$BASE_URL/api/v2/daybreak_delete_tasks";
  static const String DELETE_PROJECTS_URL =
      "$BASE_URL/api/v2/daybreak_delete_projects";
  static const String SYNC_TASKS_SIM_URL =
      "$BASE_URL/api/v2/daybreak_sync_tasks_sim";
  static const String SYNC_PROJECTS_URL =
      "$BASE_URL/api/v2/daybreak_sync_projects";
  static const String SYNC_PROJECTS_SIM_URL =
      "$BASE_URL/api/v2/daybreak_sync_projects_sim";
  static const String SYNC_LABELS_URL = "$BASE_URL/api/v2/daybreak_sync_labels";

  static const String GET_SHARED_TASKS_URL =
      "$BASE_URL/api/v2/daybreak_get_tasks_shared";
  static const String SET_SHARED_TASKS_URL =
      "$BASE_URL/api/v2/daybreak_set_tasks_shared";

  static const String ADD_TASKS_LOOK_OR_LIKE =
      "$BASE_URL/api/v2/daybreak_tasks_look_or_like";

  static const String GET_TASKS_USERS =
      "$BASE_URL/api/v2/daybreak_get_tasks_users";
  static const String ADD_USER_TO_TASK =
      "$BASE_URL/api/v2/daybreak_add_user_to_tasks";

  ///////////////// User related API /////////////////////
  static const String FIND_USER = "$BASE_URL/api/v2/find_user";

  //////////// Tasks comments related API /////////////
  static const String COMMENT_TO_TASKS =
      "$BASE_URL/api/v2/daybreak_comment_to_tasks";
  static const String GET_TASKS_COMMENTS =
      "$BASE_URL/api/v2/daybreak_get_tasks_comments";
  //////////// taks comments end ///////////////////

  ///////////////////// Below APIS not using for now ///////////////////////
  static const String testContactsUrl = "$BASE_URL/api/v2/test_contacts";
  static const String searchUserUrl = "$BASE_URL/api/v2/users";
  static const String sessionsUrl = "$BASE_URL/api/v2/sessions";
  static const String suggestUserUrl = "$BASE_URL/api/v2/suggest_users";

  static const String globalSessionsUrl = "$BASE_URL/api/v2/sessions";
  static const String globalTimelineUrl = "$BASE_URL/api/v2/timeline";
  static const String globalImagesUploadUrl =
      "http://$DOMIN/api/v1/image_upload_outside";
// vendor API
  static const String globalImageUploadSMSUrl = "https://sm.ms/api/upload";

  static const String globalTimeLineCommentUrl =
      "$BASE_URL/api/v2/timeline_comment";
  static const String globalTimeLineCommentReplyUrl =
      "$BASE_URL/api/v2/timeline_comment_reply";
  String globalTimeLineCommentLikeUrl =
      "$BASE_URL/api/v2/timeline_comment_like";

// post or get friends, post: request or approval
  static const String globalFriendsUrl = "$BASE_URL/api/v2/friends";
  static const String globalFriendsRequestUrl =
      "$BASE_URL/api/v2/friends_requests";
  static const String globalIsFriendsUrl = "$BASE_URL/api/v2/is_friends";

// Adding create group relate apis
  static const String globalCreateGroupUrl = "$BASE_URL/api/v2/create_group";
  static const String globalGetAllGroupUrl = "$BASE_URL/api/v2/all_groups";
  static const String globalGetGroupAllMembersUrl =
      "$BASE_URL/api/v2/get_group_subscribers";
  static const String globalAddMemberToGroupUrl =
      "$BASE_URL/api/v2/add_subscriber_to_group";
  static const String globalAllOpenGroups = "$BASE_URL/api/v2/all_open_groups";

// urls for anonymous post and user anonymous info
// post, get, del
  static const String globalAnonymousPost = "$BASE_URL/api/v1/anonymous";
  static const String globalAnonymousCommentsPost =
      "$BASE_URL/api/v1/anonymous_comment";
  static const String globalAnonymousLike = "$BASE_URL/api/v1/anonymous_like";
  static const String globalAnonymousReplyComments =
      "$BASE_URL/api/v1/anonymous_comment_reply";
  static const String globalUpdateUserAnonymousInfo =
      "$BASE_URL/api/v1/update_user_anonymous_info";

  static const String gGetAllUsersUrl = "$BASE_URL/api/v2/get_all_users";
  static const String gDelUserUrl = "$BASE_URL/api/v2/del_user";
  static const String gBandUserUrl = "$BASE_URL/api/v2/band_user";
  static const String gLimitUserUrl = "$BASE_URL/api/v2/limit_user";
  static const String gTimelineUserAddrUrl =
      '$BASE_URL/api/v2/timeline_user_addr';
}
