
var monthsNames = [
  "Jan",
  "Feb",
  "Mar",
  "Apr",
  "May",
  "Jun",
  "July",
  "Aug",
  "Sept",
  "Oct",
  "Nov",
  "Dec"
];

var mCNMap = {
  '1': '一',
  '2': '二',
  '3': '三',
  '4': '四',
  '5': '五',
  '6': '六',
  '7': '七',
  '8': '八',
  '9': '九',
  '10': '十',
  '11': '十一',
  '12': '十二',
};

String getFormattedDate(int dueDate) {
  DateTime date = DateTime.fromMillisecondsSinceEpoch(dueDate);
  var mm = date.month.toString().padLeft(2, '0');
  var d = date.day.toString().padLeft(2, '0');

  DateTime n = DateTime.now();
  if (n.month == date.month && n.day == date.day) {
    return "今天";
  } else if (n.month == date.month && n.day == (date.day + 1)) {
    return '昨天';
  } else if (n.month == date.month && n.day == (date.day - 1)) {
    return '明天';
  }
  return "${mm}.${d}";
}

String getFormattedYearDate(int dueDate, {bool isLunar: false}) {
  DateTime date = DateTime.fromMillisecondsSinceEpoch(dueDate);
  var y = date.year.toString();
  var mm = date.month.toString().padLeft(2, '0');
  var d = date.day.toString().padLeft(2, '0');
  if (isLunar) {
    return "${y}年${mm}月${d}日";
  } else {
    return "${y}年${mm}月${d}日";
  }
}

String getDateMonthStr(int dueDate, {bool isCN: true}) {
  DateTime date = DateTime.fromMillisecondsSinceEpoch(dueDate);
  var mm = date.month.toString();
  return '${mCNMap[mm]}月';
}

String getDateDayStr(int dueDate, {bool isCN: true}) {
  DateTime date = DateTime.fromMillisecondsSinceEpoch(dueDate);
  var mm = date.day.toString();
  return '${mm}';
}

String getWeekDayStr(int dueDate, {bool isCN: true}) {
  DateTime date = DateTime.fromMillisecondsSinceEpoch(dueDate);
  var mm = date.weekday.toString();
  return '星期${mCNMap[mm]}';
}

int getMillisecondsToday() {
  var n = DateTime.now();
  var _m1 = new DateTime(n.year, n.month, n.day);
  print(_m1.millisecondsSinceEpoch);
  print(n.millisecondsSinceEpoch);
  return n.millisecondsSinceEpoch - _m1.millisecondsSinceEpoch;
}

String getFormattedDateSim(int dueDate) {
  DateTime date = DateTime.fromMillisecondsSinceEpoch(dueDate);
  var mm = date.month.toString().padLeft(2, '0');
  var d = date.day.toString().padLeft(2, '0');
  return "${mm}.${d}";
}

String getDateTimeKey(int dueDate) {
  DateTime date = DateTime.fromMillisecondsSinceEpoch(dueDate);
  var y = date.year;
  var mm = date.month.toString().padLeft(2, '0');
  var d = date.day.toString().padLeft(2, '0');
  return "${y}-${mm}-${d}";
}

String getFormattedDateTime(int dueDate) {
  DateTime date = DateTime.fromMillisecondsSinceEpoch(dueDate);
  var mm = date.month.toString().padLeft(2, '0');
  var d = date.day.toString().padLeft(2, '0');

  var m = date.minute.toString().padLeft(2, '0');
  var h = date.hour.toString().padLeft(2, '0');
  return "${mm}.${d} ${h}:${m}";
}

String getFormattedTime(int dueTime) {
  print('dueTime: ${dueTime}');
  int aa = dueTime % 60;
  int bb = dueTime ~/ 60;
  var m = aa.toString().padLeft(2, '0');
  var h = bb.toString().padLeft(2, '0');
  return "${h}:${m}";
}

